Bug 1304893 - 'rpm-ostree deploy' operations may hang when trying to resolve versions over HTTPS
'rpm-ostree deploy' operations may hang when trying to resolve versions over ...
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ostree (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks: 1287902
  Show dependency treegraph
 
Reported: 2016-02-04 17:37 EST by Micah Abbott
Modified: 2016-02-10 09:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Colin Walters 2016-02-06 11:39:26 EST
For client certs we're using GTlsInteraction which was designed to support interactive responses from a GUI app, but here we're just programaticall returning a pre-configured cert.

It might be though something regressed in the stack, or we don't have the proper main context setup here anymore?
Comment 4 Matthew Barnes 2016-02-08 20:02:47 EST
Got a fix ready.

https://github.com/GNOME/ostree/pull/181

Note You need to log in before you can comment on or make changes to this bug.